Bug 206863 - Unable to load kdump image
Summary: Unable to load kdump image
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Linda Wang
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-17 12:27 UTC by Jan Kratochvil
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 23:24:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/proc/iomem (959 bytes, text/plain)
2006-09-17 12:27 UTC, Jan Kratochvil
no flags Details
grep kernel: /var/log/messages (20.76 KB, text/plain)
2006-09-21 11:52 UTC, Jan Kratochvil
no flags Details
patch to align kernel data segment to page boundary (364 bytes, patch)
2006-09-22 13:03 UTC, Neil Horman
no flags Details | Diff

Description Jan Kratochvil 2006-09-17 12:27:03 UTC
Description of problem:
Unable to start kdump service - unable to load the kdump image.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2647.fc6
kernel-kdump-2.6.17-1.2647.fc6
kexec-tools-1.101-51.fc6

How reproducible:
Always.

Steps to Reproduce:
1. yum install kernel-2.6.17-1.2647.fc6 kernel-kdump-2.6.17-1.2647.fc6
kexec-tools-1.101-51.fc6
2. Append " crashkernel=64M@16M" to "/etc/grub.conf".
2. reboot
3. service kdump start

Actual results:
Base address: 1267880 is not page aligned

Expected results:
Loaded kdump image.

Additional info:

Comment 1 Jan Kratochvil 2006-09-17 12:27:03 UTC
Created attachment 136480 [details]
/proc/iomem

Comment 2 Neil Horman 2006-09-19 20:03:38 UTC
what arch are you recreating this on?  This sounds like it may be a ppc64 64k
page issue?

Comment 3 Jan Kratochvil 2006-09-19 21:40:39 UTC
Just "standard" i686 RawHide (updated by yum from FC5), running on SMP Athlon.


Comment 4 Neil Horman 2006-09-21 11:31:58 UTC
I need to get hold of a machine that I can put FC6 on.  In the interim, can you
please provie the /var/log/messages file from your system, showing the boot
sequence immediately prior to the indicated error?  Thanks!

Comment 5 Jan Kratochvil 2006-09-21 11:52:07 UTC
Created attachment 136847 [details]
grep kernel: /var/log/messages

Here you are.

Comment 6 Neil Horman 2006-09-21 12:36:58 UTC
please don't grep for kernel messages.  I was looking for the whole thing.

Comment 7 Jan Kratochvil 2006-09-21 12:42:12 UTC
What are you looking for, please? You do want messages from sendmail(8),
named(8) and ntpd(8)? I really do not know what else to supply.
I am aware of the technical details of kdump, I wrote the most parts of its
competitor mkdump and provided the relocatability idea+patches for it.  I did
not spend time debugging this kdump problem, though.


Comment 8 Neil Horman 2006-09-21 12:49:57 UTC
I want everything.  Specifically I wanted to make sure that kexec didn't log any
further messages to the syslog other than whats been reported here.  What I
specifically do not want is incomplete log files.  I don't know for certain if
anything else in there will help me, but until I get a reproducer machine set
up, I don't want to be looking at logs that may be missing information.

Comment 9 Jan Kratochvil 2006-09-21 12:56:18 UTC
It was even tested it isn't loadable immediately after boot where I still have
seen all the messages myself.  Not going to provide log of my private mails.


Comment 10 Neil Horman 2006-09-21 20:13:57 UTC
Normally, I wouldn't bother pursuing a problem for which you wouldn't give me
full logs, but such as it is I managed to find an fc6 machine and reproduced the
problem.  It appears this is a kernel bug.  More recent fc6 and rawhide kernels
contain an extra PT_LOAD segment which has a page alignment, but unaligned
physical and virtual address values.  I'll take this up with davej

Comment 11 Neil Horman 2006-09-22 13:03:49 UTC
Created attachment 136941 [details]
patch to align kernel data segment to page boundary

This is now looking more like a linker bug.  The later linux kernels have a
broken out PT_LOAD segment for the .data and .notes segments, and despite the
fact that the .data segment has a p_align value of 0x1000, the p_vaddr and
p_offset values do not end on 4096 byte boundaries.  I'll file a linker bug,
but for now, this adjustment patch to the vmlinux linker script brings the data
segment back into alignment.

Comment 12 Neil Horman 2006-09-22 13:21:47 UTC
I've sent the patch off to davej for review, and opened up a binutils bug for
the incorrect alignment output.

Comment 13 Jan Kratochvil 2006-09-28 15:29:16 UTC
Thanks for checking this issue.
Fix is still not present in kernel-2.6.18-1.2693.fc6, it is even not MODIFIED as
it is still ASSIGNED.


Comment 14 Neil Horman 2006-09-28 15:48:49 UTC
It'll be there when davej gets to it.

Comment 15 Frank Ch. Eigler 2006-11-27 02:52:45 UTC
See also bug #215268 for FC5.



Note You need to log in before you can comment on or make changes to this bug.